import request from '@/utils/request'

// 查询非正常纳税信息列表
export function listInformation(query) {
  return request({
    url: '/crmAbnormalTaxInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询非正常纳税信息详细
export function getInformation(id) {
  return request({
    url: '/crmAbnormalTaxInformation/information/' + id,
    method: 'get'
  })
}

// 新增非正常纳税信息
export function addInformation(data) {
  return request({
    url: '/crmAbnormalTaxInformation/information',
    method: 'post',
    data: data
  })
}

// 修改非正常纳税信息
export function updateInformation(data) {
  return request({
    url: '/crmAbnormalTaxInformation/information',
    method: 'put',
    data: data
  })
}

// 删除非正常纳税信息
export function delInformation(id) {
  return request({
    url: '/crmAbnormalTaxInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmAbnormalTaxInformation/delete',ids)
}
